<!doctype html>
<html lang=fr>
<?php									
	session_start(); // On récupére les données de la seession
	if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] !=1) )
	{
		header("Location: index.php"); // Si l'acteur de la session n'est pas un prof on retourne à l'accueil'
		exit();
	}
	?>

	<head>
		<title>Modification Etudiant</title>
		<meta charset=utf-8> <meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">		
	</head>
	
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc'); 
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].' '.$_SESSION['NomEtab'].'</h3>';
				include('includes/menu_prof.inc'); 
			?>
		</header>
		
		<article>
			<h3>Modification Etudiant</h3>	
			<?php
				// The code looks for a valid user ID, either through GET or POST:
				if ( (isset($_GET['id'])) && (is_numeric($_GET['id'])) ) 
				{ 			// From Prof liste etudiant
					$id = $_GET['id'];
				}
				elseif ( (isset($_POST['numA'])) && (is_numeric($_POST['numA'])) )
				{ // Formulaire.
					$id = $_POST['numA'];
				}
				else 
				{
				 	// If no valid ID, stop the script
					echo '<p class="alert echec">Cette page a été chargéee par erreur.</p>';
					exit;
				}
				require ('connect/mysqli_connect.php'); // recup connection
				// Select eTUDIANT à MODIFIER
				$q = "SELECT * FROM acteur WHERE numAct='$id' ";	
				$result = mysqli_query ($dbcon, $q) or die ("erreur sql"); 
				// Check the result:
				$r=@mysqli_num_rows($result);
				if ($r == 1)
				{     //On récupère les valeurs du SELECT dans un tableau $Compte	 
					$COMPTE = mysqli_fetch_array ($result, MYSQLI_ASSOC);
				}
				else
				{
					echo 'Erreur recup infos select';
				}
				
				// Récup données rentrées ds le formulaire" mb_strtoupper
				if ($_SERVER['REQUEST_METHOD'] == 'POST')
				{
					$Ident = mysqli_real_escape_string($dbcon, trim($_POST['Ident']));
					$Nom=mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['Nom'])));
					$Prenom=mysqli_real_escape_string($dbcon, trim($_POST['Prenom']));
					$email= mysqli_real_escape_string($dbcon, trim($_POST['email']));
					$Numins= mysqli_real_escape_string($dbcon, trim($_POST['Numins']));
					$Mdp1= mysqli_real_escape_string($dbcon, trim($_POST['Mdp1']));
					$Session= mysqli_real_escape_string($dbcon, trim($_POST['Session']));
					
					// Vérif données
					$errors = array();
					// -- Identifiant déjà utilisé ???
					
					// Recherche des lignes avec le même identifiant mais pas le mêm numAct
					$q = "SELECT LoginAct FROM acteur WHERE LoginAct = '$Ident' AND NumAct != $id";
					$result = @mysqli_query($dbcon, $q);
					
					if(!preg_match('/^[a-zA-Z0-9._-]{6,30}$/',$Ident)) 
					{
						$errors[] = ' L\'identifiant est incorrect (de 6 à 30 caractères sans espaces) : '.$Ident;
					}
					elseif (mysqli_num_rows($result) !== 0)// -- Identifiant déjà utilisé ??Recherche des lignes avec le même identifiant mais pas le mêm numAct
					{
						$errors[] = ' Cet identifiant est utilisé par quelqu\'un d\'autre : '.$Ident;
					}
					if (empty($Nom))
					{
						$errors[] ='Le nom est vide';
					}

					// MDP Verif Mdp1 
					if (empty($Mdp1))
					{    // Si le mot de passe est vide on garde l'ancien mot de passe'
						$Mdp1=$COMPTE['MdpAct']; 
					}
					elseif(!preg_match('/^\w{6,12}$/',$Mdp1)) // le Mdp ne doit contenir que de l'alphanumérique et de longueur 6 à 12
					{
						$errors[] = 'Mdp incorrect, Utiliser de 6 à 12 caratères sans espaces.';
					}
					// Verif Date naisssance
					if(empty($_POST['jour']) || empty($_POST['mois']) || empty($_POST['annee']))
					{    //date naiss inchangée
						$datenaiss=$COMPTE['datenaissAct'];
					}
					else
					{
						$datenaiss = $_POST['annee'] .'-'. $_POST['mois'] .'-' . $_POST['jour'];
						if (($timestamp = strtotime($datenaiss)) === false)
						{
							$errors[] =  "bug ds date";
						}
					}
					if (!empty($errors))
					{
						// Display the errors
						echo '<p class="alert erreur "> ERREURS !! Pas de modifications : : <br />';
						foreach ($errors as $msg)
						{ // Echo each error.
							echo " - $msg<br />\n";
							echo'</p>';
						}
					 // End of if (empty($errors))section.
					}
					else // si pas d'erreurs on met à jour la Bdd'	
					{
						$q = "UPDATE acteur SET LoginAct='$Ident',NomAct='$Nom', PrenomAct='$Prenom', mailAct='$email', datenaissAct='$datenaiss', NumInscAct ='$Numins', MdpAct='$Mdp1', SessionExam='$Session'  WHERE NumAct='$id'";
						$result = @mysqli_query ($dbcon, $q);
						if (mysqli_affected_rows($dbcon) == 1) // If it ran OK
						{
							
							echo '<p class="alert succes">Mise à jour effectuée &nbsp;&nbsp;';
							echo'<a class="bouton10 "href="prof_listeetudiants.php?" >OK</a></p>';
							exit;			
							// retour vers Prof ou admin accueil
						}			
						else 
						{ 
							echo '<div id="zone_alerte"><p class="alert erreur">Aucune modif réalisée</p></div>'; // Echo a message if the query failed
							// Error message
						}
					}
				}		
			?>		
<!-------------------------------------------------------------------------------------
					Création formulaire
---------------------------------------------------------------------------------------->
			<form action="prof_modif_etud.php" method="post">		
				
				<!-- récup de l'Id -->
				<input type="hidden" name="numA" value= <?php echo $id ?> >
				<p>
					<label class="label300d" for="Ident">Identifiant </label>
					<input class="fl-left" type="text" name="Ident" size="30" maxlength="30" value= <?php echo $COMPTE['LoginAct']?> >
					<i>&nbsp;(6 à 30 caractères) </i>
				</p>	
				<p>	
					<label class="label300d" for="Nom">Nom </label>
					<input class="fl-left" type="text" name="Nom" size="30" maxlength="30"<?php echo 'value = "'.$COMPTE["NomAct"].'"' ?> >
				</p>	
				
				<p>
					<label class="label300d" for="Prenom">Prénom </label>
					<input class="fl-left" type="text" name="Prenom" size="30" maxlength="30" <?php echo 'value = "'.$COMPTE["PrenomAct"].'"' ?>
				</p>

				<p>
					<label class="label300d" for="email"> Adresse Mail </label>
					<input class="fl-left" type="text" name="email" size="30" maxlength="50" value=<?php echo $COMPTE['mailAct'] ?> >
				</p>
				<p>
					<label class="label300d" for="datenaiss">Date de naissance </label>
					<?php
						 $datenaiss= date("d/m/Y", strtotime($COMPTE['datenaissAct']));
						 $journaiss= substr($datenaiss,0, 2);
						 $moisnaiss=substr($datenaiss,3, 2);
						 $anneenaiss=substr($datenaiss,6, 4);
					?>
					<!--//Variable qui ajoutera l'attribut selected de la liste déroulante
					// Parcours du tableau<--->
					<select name="jour" id="jour">
						<?php
							for ($i = 1; $i <= 31; $i++)
							{
								echo '<option value="' . $i . '"';
								if ($journaiss == $i) {  echo ' selected="selected"';}
								echo ">" . $i . "</option>";
						}
						?>
					</select>					
					<select name="mois" id="mois">
			 			<?php
							for ($i = 1 ; $i <= 12 ; $i++)
					 		{
								echo '<option value="' . $i . '"';
								if ($moisnaiss  == $i) {  echo ' selected="selected"';}
								echo ">" . $i . "</option>";
						}
			 			?>
					</select>
					<select name="annee" id="annee">
		 				<?php
			  				for ($i = intval(date('Y') - 16); $i >= 1960; $i--)
					 		{
								echo '<option value="' . $i . '"';
								if ($anneenaiss  == $i) {  echo ' selected="selected"';}
								echo ">" . $i . "</option>";
						}
		 				?>
					</select>
				</p>
				
				<p>
					<label class="label300d" for="Numins">Numéro d'incription </label>
					<input class="fl-left" type="text" name="Numins" size="10" maxlength="10" value= <?php echo $COMPTE['NumInscAct'] ?> >
				</p>
				<p>
					<label class="label300d" for="Mdp1">Nouveau mot de passe </label>
					<input class="fl-left" type="password" name="Mdp1" size="12" maxlength="12"  >
					<i>&nbsp;(6 à 12 caractères)</i>
				</p>
				<p>
					<label class="label300d"for="Annee_Examen">  Annee_Examen </label>
  						<select name="Session" >';
  						<?php
 							$annee=intval(date('Y'));
	  						for ($i = $annee ; $i<= $annee+2 ; $i++)
							{
								echo '<option value="' . $i . '"';
								if($COMPTE['SessionExam'] == $i)
								{
									echo 'selected="selected"';
								}
								echo ">" . $i . "</option>";
							};
							echo'</select>';
						?>
				</p>	
					
				<p class=centre40>
					<input id="submit" type="submit" name="submit" value="Mettre à jour">
				</p>
			</form>
		</article>	
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>	
	</body>
</html>